classification
Title: html.parser.HTMLParser: convert_charrefs should become True by default
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Arfrever, berker.peksag, eric.araujo, ezio.melotti, lilydjwg, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-03-24 05:17 by Arfrever, last changed 2016-01-12 08:38 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue21047.diff berker.peksag, 2014-05-16 13:53 review
Messages (6)
msg214668 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2014-03-24 05:17
Follow-up to issue #13633.

Lib/html/parser.py still has:

if convert_charrefs is _default_sentinel:
    convert_charrefs = False  # default
    warnings.warn("The value of convert_charrefs will become True in "
                  "3.5. You are encouraged to set the value explicitly.",
                  DeprecationWarning, stacklevel=2)
msg218662 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-05-16 13:53
Here's a patch to set the default "convert_charrefs" value to True (with documentation and whatsnew updates).
msg224574 - (view) Author: Roundup Robot (python-dev) Date: 2014-08-02 15:36
New changeset 4425024f2e01 by Ezio Melotti in branch 'default':
#21047: set the default value for the *convert_charrefs* argument of HTMLParser to True.  Patch by Berker Peksag.
http://hg.python.org/cpython/rev/4425024f2e01
msg224576 - (view) Author: Roundup Robot (python-dev) Date: 2014-08-02 15:54
New changeset 5b95f3fdcc0b by Ezio Melotti in branch 'default':
#15114, #21047: update whatsnew in Python 3.5.
http://hg.python.org/cpython/rev/5b95f3fdcc0b
msg257905 - (view) Author: lilydjwg (lilydjwg) Date: 2016-01-10 11:56
FYI, this breaks one of my programs. I find it now because it only threw errors in rare cases, and I've never seen the deprecated warning because I don't check the logs unless something goes wrong.
msg258077 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-01-12 08:38
DeprecationWarnings are silenced by default.  You can enable them by using the -W Python flag.
They are also enabled while running tests with unittest, so you should have seen them there.
History
Date User Action Args
2016-01-12 08:38:53ezio.melottisetmessages: + msg258077
2016-01-11 17:18:44r.david.murraysetnosy: - r.david.murray
2016-01-10 11:56:13lilydjwgsetnosy: + lilydjwg
messages: + msg257905
2014-08-02 17:12:03berker.peksagsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-08-02 15:54:54python-devsetmessages: + msg224576
2014-08-02 15:36:34python-devsetnosy: + python-dev
messages: + msg224574
2014-05-16 14:25:15ezio.melottisetassignee: ezio.melotti
2014-05-16 13:53:37berker.peksagsetfiles: + issue21047.diff

nosy: + berker.peksag
messages: + msg218662

keywords: + patch
stage: patch review
2014-03-24 05:17:18Arfrevercreate